Skip to main content
GET
List survey instances

Authorizations

x-api-key
string
header
required

API key for authentication. Generate keys in the Doozy dashboard.

Path Parameters

survey_id
string
required

The ID of the survey

Required string length: 1 - 128
Pattern: ^[A-Za-z0-9_-]+$
Example:

"2XOADZ5X978jbJUbveb9"

Query Parameters

limit
integer
default:25

Maximum number of results to return (1-100, default 25)

Required range: 1 <= x <= 100
Example:

25

starting_after
string

Cursor for pagination. Returns results after this schedule ID.

Maximum string length: 256
Example:

"tdqYSbhl2En9Aue6iOr3"

Response

List of survey instances

object
enum<string>
required

Object type identifier

Available options:
list
Example:

"list"

data
object[]
required

Array of survey schedule objects

has_more
boolean
required

Whether there are more results available

Example:

false

url
string
required

The URL for this list endpoint

Example:

"/v1/surveys/2XOADZ5X978jbJUbveb9/schedules"